diff --git a/ext/drreg/drreg.c b/ext/drreg/drreg.c
index 8e36ea7cec..f47ae5adbf 100644
--- a/ext/drreg/drreg.c
+++ b/ext/drreg/drreg.c
@@ -1620,7 +1620,7 @@ is_our_spill_or_restore(void *drcontext, instr_t *instr, bool *spill OUT,
                 return false;
             }
 #ifdef X86
-            if (slot > max_DR_slot - 1) {
+            if (slot == 0) {
                 /* FIXME i#2933: We rule out the 3rd DR TLS slot b/c it's used by
                  * DR for purposes where there's no restore paired with a spill.
                  * Another tool component could also use the other slots that way,
diff --git a/suite/tests/client-interface/drreg-test-shared.h b/suite/tests/client-interface/drreg-test-shared.h
index b5ab614e20..bb2430f5a0 100644
--- a/suite/tests/client-interface/drreg-test-shared.h
+++ b/suite/tests/client-interface/drreg-test-shared.h
@@ -93,3 +93,6 @@
 
 #define DRREG_TEST_5_ASM MAKE_HEX_ASM(DRREG_TEST_CONST(5))
 #define DRREG_TEST_5_C MAKE_HEX_C(DRREG_TEST_CONST(5))
+
+#define DRREG_TEST_6_ASM MAKE_HEX_ASM(DRREG_TEST_CONST(6))
+#define DRREG_TEST_6_C MAKE_HEX_C(DRREG_TEST_CONST(6))
diff --git a/suite/tests/client-interface/drreg-test.dll.c b/suite/tests/client-interface/drreg-test.dll.c
index f3e06f5f21..0533015a4d 100644
--- a/suite/tests/client-interface/drreg-test.dll.c
+++ b/suite/tests/client-interface/drreg-test.dll.c
@@ -247,7 +247,7 @@ event_app_instruction(void *drcontext, void *tag, instrlist_t *bb, instr_t *inst
         }
     } else if (subtest == DRREG_TEST_4_C || subtest == DRREG_TEST_5_C) {
         /* Cross-app-instr aflags test */
-        dr_log(drcontext, DR_LOG_ALL, 1, "drreg test #4\n");
+        dr_log(drcontext, DR_LOG_ALL, 1, "drreg test #4/5\n");
         if (instr_is_label(inst)) {
             res = drreg_reserve_aflags(drcontext, bb, inst);
             CHECK(res == DRREG_SUCCESS, "reserve of aflags should work");
@@ -265,6 +265,11 @@ event_app_instruction(void *drcontext, void *tag, instrlist_t *bb, instr_t *inst
             res = drreg_unreserve_aflags(drcontext, bb, inst);
             CHECK(res == DRREG_SUCCESS, "unreserve of aflags should work");
         }
+    } else if (subtest == DRREG_TEST_6_C) {
+        // blah
+        /* Clean-call restore rax/TEST_REG1_SLOT test */
+        dr_log(drcontext, DR_LOG_ALL, 1, "drreg test #6\n");
+        // blah;
     }
 
     drvector_delete(&allowed);
